org.thewonderlemming.c4plantuml.graphml.validation

## Class GraphMLValidatorErrorHandler

- java.lang.Object
- - org.thewonderlemming.c4plantuml.graphml.validation.GraphMLValidatorErrorHandler

- All Implemented Interfaces:
    ErrorHandler

      public class GraphMLValidatorErrorHandler
      extends Object
      implements ErrorHandler

  A custom implementation of `ErrorHandler` to log validation errors and warnings, then to throw exceptions if wanted.
  Author:
    thewonderlemming

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphMLValidatorErrorHandler(boolean strictValidation)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(SAXParseException exception)`
    `void` | `fatalError(SAXParseException exception)`
    `void` | `warning(SAXParseException exception)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphMLValidatorErrorHandler

          public GraphMLValidatorErrorHandler(boolean strictValidation)

      Default constructor.
      Parameters:
        `strictValidation` - throws exceptions on validation errors and warnings if set to `true`.

  - ### Method Detail

    - #### error

          public void error(SAXParseException exception)
                     throws SAXException

      Specified by:
        `error` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### fatalError

          public void fatalError(SAXParseException exception)
                          throws SAXException

      Specified by:
        `fatalError` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### warning

          public void warning(SAXParseException exception)
                       throws SAXException

      Specified by:
        `warning` in interface `ErrorHandler`
      Throws:
        `SAXException`

Copyright © 2020. All rights reserved.